Skip to main content
POST
/
surveys
/
{id}
/
start-programming
Start programming
curl --request POST \
  --url https://api.questra.ai/surveys/{id}/start-programming \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Org-Id: <x-org-id>' \
  --data '
{
  "qa": [
    {
      "id": "<string>",
      "summary": "<string>",
      "userClarification": "<string>",
      "excerpt": "<string>",
      "suggestions": [
        "<string>"
      ],
      "detail": {}
    }
  ]
}
'
{
  "ok": true,
  "already_running": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID or slug of the survey

Body

application/json
qa
object[]

Response

200 - application/json

Programming started or was already running.

ok
boolean
required
already_running
boolean
required
status
enum<string>
required
Available options:
pending,
programming,
waiting_for_destination,
compiling,
reviewing,
live,
closed